Skip to main content
Version: 1.0.0

SpotHero Parking API

API to interact with SpotHero transaction & license plate data.

Authorization is required to access this API. Credentials will be shared separately. To authenticate, make a POST request to the token URL with your client credentials:

POST https://accounts.spothero.com/oauth/token
Content-Type: application/json

{
"client_id": "<your_client_id>",
"client_secret": "<your_client_secret>",
"audience": "https://integrations.production.spothero.com/",
"grant_type": "client_credentials"
}

Token Endpoints

  • Production: https://accounts.spothero.com/oauth/token
  • Staging: https://accounts.stg.spothero.com/oauth/token

Audience Values

  • Production: https://integrations.production.spothero.com/
  • Staging: https://integrations.staging.spothero.com/

Use the returned access token as a Bearer token in the Authorization header for API requests.

Authentication​

OAuth2 client credentials flow.

Some query parameters are entitlement-restricted. For example, /v2/facilities/ supports optional include projections that add fields to the base response. If a client requests a projection it is not entitled to access, the API ignores that projection.

Security Scheme Type:

oauth2

OAuth Flow (clientCredentials):

Scopes:

  • observations: allow access to observations

  • validation:v1: allow access to deprecated Validation API v1 endpoints